Name:		clamtk
Version:	6.06
Release:	%mkrel 1
Summary:	Easy to use front-end for ClamAV
License:	Artistic
Group:		File tools
URL:		https://gitlab.com/dave_m/clamtk/wikis/Home
Source0:	https://bitbucket.org/davem_/clamtk-gtk3/downloads/%{name}-%{version}.tar.xz
Patch1:		clamtk-5.07-fix-UTF-8-decoding.patch
BuildArch:	noarch
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
Requires:	perl(File::Find::Rule)
Requires:	perl(Date::Calc)
Requires:	perl(LWP)
Requires:	clamav >= 0.90
Requires:	clamav-db
Requires:	adwaita-icon-theme
Recommends:	yelp

%description
ClamTk is a GUI front-end for ClamAV using Gtk2-perl.
It is designed to be an easy-to-use, point and click
virus scanner for Linux systems.

%prep
%setup -q
%autopatch -p1

%build
#nothing

%install
install -D -m0755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m0644 images/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -D -m0644 %{name}.1.gz %{buildroot}%{_mandir}/man1/%{name}.1.gz
install -D -m0644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -d %{buildroot}%{perl_vendorlib}/ClamTk
install -m0644 lib/*.pm %{buildroot}%{perl_vendorlib}/ClamTk

for n in po/*.mo ; do
	%{__install} -D -m0644 $n %{buildroot}%{_datadir}/locale/`basename $n .mo`/LC_MESSAGES/%{name}.mo
done

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc CHANGES DISCLAIMER README.md
%license LICENSE
%{_bindir}/%{name}
%{perl_vendorlib}/ClamTk
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.*


%changelog
* Wed Sep 23 2020 shlomif <shlomif> 6.06-1.mga8
+ Revision: 1629470
- New version 6.06

* Tue Aug 25 2020 shlomif <shlomif> 6.05-1.mga8
+ Revision: 1618899
- New version 6.05

* Sun Apr 26 2020 shlomif <shlomif> 6.03-1.mga8
+ Revision: 1572307
- New version 6.03

* Tue Feb 18 2020 umeabot <umeabot> 6.02-2.mga8
+ Revision: 1539284
- Mageia 8 Mass Rebuild

* Thu Dec 05 2019 shlomif <shlomif> 6.02-1.mga8
+ Revision: 1464533
- New version 6.02

* Sat Jun 29 2019 wally <wally> 6.01-3.mga8
+ Revision: 1415919
- update deprecated icon patch to fix ok and cancel in dialogs

* Sat Jun 29 2019 wally <wally> 6.01-2.mga8
+ Revision: 1415406
- readd and rediff incorrectly removed deprecated icons fix
- drop unneeded gtk2 requires

* Tue Apr 09 2019 shlomif <shlomif> 6.01-1.mga7
+ Revision: 1387380
- New version 6.01

* Fri Mar 15 2019 shlomif <shlomif> 6.00-1.mga7
+ Revision: 1377645
- New version 6.00 - thanks to fedora

* Thu Nov 22 2018 shlomif <shlomif> 5.26-1.mga7
+ Revision: 1333238
- New version 5.26

* Thu Sep 20 2018 umeabot <umeabot> 5.25-2.mga7
+ Revision: 1277804
- Mageia 7 Mass Rebuild

* Wed Nov 08 2017 wally <wally> 5.25-1.mga7
+ Revision: 1176558
- new version 5.25

* Wed Nov 08 2017 wally <wally> 5.24-4.mga7
+ Revision: 1176553
- drop unneeded requires for oxygen-gtk
- update deprecated icons patch to fallback to Adwaita icons

* Thu Oct 26 2017 mjack <mjack> 5.24-3.mga7
+ Revision: 1173787
- require oxygen-gtk (mga#14505)

* Sun Aug 27 2017 daviddavid <daviddavid> 5.24-2.mga7
+ Revision: 1148353
- fix for new find_lang

* Mon Jul 17 2017 shlomif <shlomif> 5.24-1.mga7
+ Revision: 1124275
- New version 5.24

* Sat Jun 18 2016 pterjan <pterjan> 5.20-3.mga6
+ Revision: 1022103
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 5.20-2.mga6
+ Revision: 969895
- Mageia 6 Mass Rebuild

* Sat Sep 19 2015 daviddavid <daviddavid> 5.20-1.mga6
+ Revision: 881280
- new version: 5.20
- introduce license macro

* Sun Jul 26 2015 daviddavid <daviddavid> 5.19-1.mga6
+ Revision: 858127
- new version: 5.19

* Sat Nov 15 2014 wally <wally> 5.11-1.mga5
+ Revision: 797319
- new version 5.11
- redo icons patch

* Sat Nov 15 2014 wally <wally> 5.07-5.mga5
+ Revision: 797315
- add patch to fix UTF-8 decoding issues in translations

* Sat Nov 15 2014 wally <wally> 5.07-4.mga5
+ Revision: 797311
- add patch to fix deprecated icon names (mga#14505)

* Wed Oct 15 2014 umeabot <umeabot> 5.07-3.mga5
+ Revision: 742001
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.07-2.mga5
+ Revision: 678409
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Jul 02 2014 dams <dams> 5.07-1.mga5
+ Revision: 642041
- new version 5.07
+ wally <wally>
- require adwaita-icon-theme instead of obsolete gnome-icon-theme

* Mon Mar 17 2014 dams <dams> 5.05-1.mga5
+ Revision: 604449
- new version 5.05

* Mon Feb 17 2014 dams <dams> 5.04-1.mga5
+ Revision: 593703
- new version 5.04

* Tue Feb 04 2014 dams <dams> 5.03-1.mga5
+ Revision: 580667
- new version 5.03

* Thu Nov 28 2013 dams <dams> 5.01-1.mga4
+ Revision: 553859
- new version 0.5.1
- add 'gnome-icon-theme' as a require

* Wed Nov 20 2013 dams <dams> 5.00-1.mga4
+ Revision: 552011
- new version 5.00

* Sat Oct 19 2013 umeabot <umeabot> 4.45-2.mga4
+ Revision: 530090
- Mageia 4 Mass Rebuild

* Thu Jul 18 2013 dams <dams> 4.45-1.mga4
+ Revision: 455406
- new version 4.45

* Fri Jan 11 2013 umeabot <umeabot> 4.44-2.mga3
+ Revision: 347818
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 dams <dams> 4.44-1.mga3
+ Revision: 335221
- new version 4.44

* Thu Dec 06 2012 dams <dams> 4.43-2.mga3
+ Revision: 327431
- remove 'gnomesu' as a require as requested on mga#7068

* Thu Dec 06 2012 dams <dams> 4.43-1.mga3
+ Revision: 327321
- new version 4.43

* Mon Nov 12 2012 dams <dams> 4.42-1.mga3
+ Revision: 317192
- new version 4.42

* Mon Jun 11 2012 dams <dams> 4.41-1.mga3
+ Revision: 259723
- new version 4.41

* Fri Jun 01 2012 dams <dams> 4.40-1.mga3
+ Revision: 252617
- new version 4.40

* Sat Mar 03 2012 dams <dams> 4.37-1.mga2
+ Revision: 217407
- new version 4.37
- clean spec file

* Mon Nov 07 2011 dlucio <dlucio> 4.36-1.mga2
+ Revision: 165135
- 4.36

* Mon Sep 12 2011 fwang <fwang> 4.35-1.mga2
+ Revision: 142569
- new version 4.35

* Wed Sep 07 2011 tv <tv> 4.34-1.mga2
+ Revision: 140242
- new release

* Thu Jun 30 2011 ahmad <ahmad> 4.33-1.mga2
+ Revision: 116264
- Update to 4.33

* Tue Apr 12 2011 ennael <ennael> 4.31-1.mga1
+ Revision: 83629
- clean spec file
- imported package clamtk

